# SPDX-License-Identifier: GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL
# SPDX-FileCopyrightText: 2026 Carlos De Maine <carlosd.kde@gmail.com>

# in a wayland seesion the SSH_AUTH_SOCK needs to be set as below
# in a X11 session this is set automatically and thus does not need to be done here
if [ "$XDG_SESSION_TYPE" = "wayland" ]; then
  export SSH_AUTH_SOCK="$XDG_RUNTIME_DIR/ssh-agent.socket"
fi
